DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
export PATH=$DIR/bin:$PATH

# The compiler internationalisation file. This defaults to 'i18n.txt' in the
# current directory
export MTV_I18N=$DIR/i18n.txt

# The simulator configuration file can be specified as 'rtv --conf fname'.  It
# is otherwise the value of RTV_CONFIG, which defaults to 'simulators.conf' in
# the current directory
export RTV_CONFIG=$DIR/simulators.conf

# set the compiler name when run from 'rtv': this defaults to 'mtv'
# export MAIA_COMPILER=mtv

# set the default mtv output file name if the output is not specified on
# the command line. note that rtv generates a random file name
export MTV_OUTPUT_FILE=test.v

# The required simulator can be specified as 'rtv --sim name'. It is otherwise
# the value of RTV_SIMULATOR, which has no default
export RTV_SIMULATOR=icarus
